Package weka.core.pmml.jaxbbindings

# Class Coefficients

java.lang.Object
weka.core.pmml.jaxbbindings.Coefficients

public class Coefficients extends Object

Java class for Coefficients element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="Coefficients">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Coefficient" maxOccurs="unbounded"/>
             </sequence>
             <attribute name="absoluteValue" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" default="0" />
             <attribute name="numberOfCoefficients" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Coefficients()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getAbsoluteValue()`
  Gets the value of the absoluteValue property.
  `List<Coefficient>`
  `getCoefficient()`
  Gets the value of the coefficient property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `BigInteger`
  `getNumberOfCoefficients()`
  Gets the value of the numberOfCoefficients property.
  `void`
  `setAbsoluteValue(Double value)`
  Sets the value of the absoluteValue property.
  `void`
  `setNumberOfCoefficients(BigInteger value)`
  Sets the value of the numberOfCoefficients property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Coefficients

    public Coefficients()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getCoefficient

    public List<Coefficient> getCoefficient()
    Gets the value of the coefficient property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the coefficient property.

    For example, to add a new item, do as follows:

            getCoefficient().add(newItem);

    Objects of the following type(s) are allowed in the list `Coefficient`

  - ### getAbsoluteValue

    public double getAbsoluteValue()
    Gets the value of the absoluteValue property.
    Returns:
      possible object is `Double`

  - ### setAbsoluteValue

    public void setAbsoluteValue(Double value)
    Sets the value of the absoluteValue property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getNumberOfCoefficients

    public BigInteger getNumberOfCoefficients()
    Gets the value of the numberOfCoefficients property.
    Returns:
      possible object is `BigInteger`

  - ### setNumberOfCoefficients

    public void setNumberOfCoefficients(BigInteger value)
    Sets the value of the numberOfCoefficients property.
    Parameters:
      `value` - allowed object is `BigInteger`